- entityDefinitions:
  - IDM_Product__get__Product_Type_Name: '{ffb2c7f8-ffe7-4a50-ad3e-bc5509444c4f}'
  - IDMB_Product__get__Product_Type_Name: '{befd5414-68a6-4592-b319-74917ecc6595}'
- library: '&IDL_MochaBaseSystem;'
  instances:
  - getReferencedAttributeMethod: '&IDM_Product__get__Product_Type_Name;'
    forClassId: '&IDC_Product;'
    returnsAttributeId: '&IDA_Name;'
    verb: 'get'
    name: 'Product Type Name'
    accessModifierId: '&IDI_AccessModifier_RootA2;'
    referenceInstanceSet: '&IDMB_Product__get__Product_Type;'
    answerAttribute: '&IDMB_Product_Type__get__Name;'
    singular: yes
    
  - returnAttributeMethodBinding: '&IDMB_Product__get__Product_Type_Name;'
    executesMethod: '&IDM_Product__get__Product_Type_Name;'
